# coding: utf-8

"""
    Solomon API v2.0

    No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)  # noqa: E501

    OpenAPI spec version: 2.0
    Contact: solomon@yandex-team.ru
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class Threshold(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'selectors': 'str',
        'time_aggregation': 'str',
        'predicate': 'str',
        'threshold': 'float',
        'transformations': 'str',
        'predicate_rules': 'list[PredicateRule]'
    }

    attribute_map = {
        'selectors': 'selectors',
        'time_aggregation': 'timeAggregation',
        'predicate': 'predicate',
        'threshold': 'threshold',
        'transformations': 'transformations',
        'predicate_rules': 'predicateRules'
    }

    def __init__(self, selectors=None, time_aggregation=None, predicate=None, threshold=None, transformations=None, predicate_rules=None):  # noqa: E501
        """Threshold - a model defined in Swagger"""  # noqa: E501
        self._selectors = None
        self._time_aggregation = None
        self._predicate = None
        self._threshold = None
        self._transformations = None
        self._predicate_rules = None
        self.discriminator = None
        self.selectors = selectors
        if time_aggregation is not None:
            self.time_aggregation = time_aggregation
        if predicate is not None:
            self.predicate = predicate
        if threshold is not None:
            self.threshold = threshold
        if transformations is not None:
            self.transformations = transformations
        if predicate_rules is not None:
            self.predicate_rules = predicate_rules

    @property
    def selectors(self):
        """Gets the selectors of this Threshold.  # noqa: E501

        Label selectors to define sensors to check  # noqa: E501

        :return: The selectors of this Threshold.  # noqa: E501
        :rtype: str
        """
        return self._selectors

    @selectors.setter
    def selectors(self, selectors):
        """Sets the selectors of this Threshold.

        Label selectors to define sensors to check  # noqa: E501

        :param selectors: The selectors of this Threshold.  # noqa: E501
        :type: str
        """
        if selectors is None:
            raise ValueError("Invalid value for `selectors`, must not be `None`")  # noqa: E501

        self._selectors = selectors

    @property
    def time_aggregation(self):
        """Gets the time_aggregation of this Threshold.  # noqa: E501

        Define criteria by that will be check alert  # noqa: E501

        :return: The time_aggregation of this Threshold.  # noqa: E501
        :rtype: str
        """
        return self._time_aggregation

    @time_aggregation.setter
    def time_aggregation(self, time_aggregation):
        """Sets the time_aggregation of this Threshold.

        Define criteria by that will be check alert  # noqa: E501

        :param time_aggregation: The time_aggregation of this Threshold.  # noqa: E501
        :type: str
        """
        allowed_values = ["AT_LEAST_ONE", "AT_ALL_TIMES", "LAST_NON_NAN", "AVG", "MIN", "MAX", "SUM", "COUNT", "UNRECOGNIZED"]  # noqa: E501
        if time_aggregation not in allowed_values:
            raise ValueError(
                "Invalid value for `time_aggregation` ({0}), must be one of {1}"  # noqa: E501
                .format(time_aggregation, allowed_values)
            )

        self._time_aggregation = time_aggregation

    @property
    def predicate(self):
        """Gets the predicate of this Threshold.  # noqa: E501

        Predicate uses for compare point with threshold  # noqa: E501

        :return: The predicate of this Threshold.  # noqa: E501
        :rtype: str
        """
        return self._predicate

    @predicate.setter
    def predicate(self, predicate):
        """Sets the predicate of this Threshold.

        Predicate uses for compare point with threshold  # noqa: E501

        :param predicate: The predicate of this Threshold.  # noqa: E501
        :type: str
        """
        allowed_values = ["EQ", "NE", "GT", "LT", "GTE", "LTE", "UNRECOGNIZED"]  # noqa: E501
        if predicate not in allowed_values:
            raise ValueError(
                "Invalid value for `predicate` ({0}), must be one of {1}"  # noqa: E501
                .format(predicate, allowed_values)
            )

        self._predicate = predicate

    @property
    def threshold(self):
        """Gets the threshold of this Threshold.  # noqa: E501

        Target threshold that will be use with sensors data on specified period  # noqa: E501

        :return: The threshold of this Threshold.  # noqa: E501
        :rtype: float
        """
        return self._threshold

    @threshold.setter
    def threshold(self, threshold):
        """Sets the threshold of this Threshold.

        Target threshold that will be use with sensors data on specified period  # noqa: E501

        :param threshold: The threshold of this Threshold.  # noqa: E501
        :type: float
        """

        self._threshold = threshold

    @property
    def transformations(self):
        """Gets the transformations of this Threshold.  # noqa: E501

        Transformations that are applied before testing predicates rules  # noqa: E501

        :return: The transformations of this Threshold.  # noqa: E501
        :rtype: str
        """
        return self._transformations

    @transformations.setter
    def transformations(self, transformations):
        """Sets the transformations of this Threshold.

        Transformations that are applied before testing predicates rules  # noqa: E501

        :param transformations: The transformations of this Threshold.  # noqa: E501
        :type: str
        """

        self._transformations = transformations

    @property
    def predicate_rules(self):
        """Gets the predicate_rules of this Threshold.  # noqa: E501

        A list of predicate rules to test against the data  # noqa: E501

        :return: The predicate_rules of this Threshold.  # noqa: E501
        :rtype: list[PredicateRule]
        """
        return self._predicate_rules

    @predicate_rules.setter
    def predicate_rules(self, predicate_rules):
        """Sets the predicate_rules of this Threshold.

        A list of predicate rules to test against the data  # noqa: E501

        :param predicate_rules: The predicate_rules of this Threshold.  # noqa: E501
        :type: list[PredicateRule]
        """

        self._predicate_rules = predicate_rules

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(Threshold, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, Threshold):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
