# yasm-alert
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.5
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com//.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com//.git`)

Then import the package:
```python
import yasm_alert 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import yasm_alert
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import yasm_alert
from yasm_alert.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = yasm_alert.DefaultApi(yasm_alert.ApiClient(configuration))
alert_name = 'alert_name_example' # str | 
check_host = 'check_host_example' # str | 
check_service = 'check_service_example' # str | 

try:
    # Bind yasm alert to juggler check
    api_instance.bind_check(alert_name, check_host, check_service)
except ApiException as e:
    print("Exception when calling DefaultApi->bind_check: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://yasm.yandex-team.ru/srvambry/alerts*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**bind_check**](docs/DefaultApi.md#bind_check) | **POST** /bind_check | Bind yasm alert to juggler check
*DefaultApi* | [**create_alert**](docs/DefaultApi.md#create_alert) | **POST** /create | Create new alert
*DefaultApi* | [**delete_alert**](docs/DefaultApi.md#delete_alert) | **POST** /delete | Delete one alert
*DefaultApi* | [**get_alert**](docs/DefaultApi.md#get_alert) | **GET** /get | Get one alert
*DefaultApi* | [**list_alerts**](docs/DefaultApi.md#list_alerts) | **GET** /list | Get checks by filter
*DefaultApi* | [**replace_alerts**](docs/DefaultApi.md#replace_alerts) | **POST** /replace | Replace alerts with prefix
*DefaultApi* | [**unbind_check**](docs/DefaultApi.md#unbind_check) | **POST** /unbind_check | Remove binding between yasm alert and juggler check
*DefaultApi* | [**update_alert**](docs/DefaultApi.md#update_alert) | **POST** /update | Update one alert


## Documentation For Models

 - [Alert](docs/Alert.md)
 - [Body](docs/Body.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2001Response](docs/InlineResponse2001Response.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2002Response](docs/InlineResponse2002Response.md)
 - [Interval](docs/Interval.md)
 - [IntervalModify](docs/IntervalModify.md)
 - [JugglerCheck](docs/JugglerCheck.md)
 - [JugglerCheckAggregatorKwargs](docs/JugglerCheckAggregatorKwargs.md)
 - [JugglerCheckAggregatorKwargsUnreachService](docs/JugglerCheckAggregatorKwargsUnreachService.md)
 - [JugglerCheckChildren](docs/JugglerCheckChildren.md)
 - [JugglerCheckFlaps](docs/JugglerCheckFlaps.md)
 - [JugglerCheckNotifications](docs/JugglerCheckNotifications.md)
 - [JugglerCheckTemplateKwargs](docs/JugglerCheckTemplateKwargs.md)
 - [Tags](docs/Tags.md)
 - [ValueModify](docs/ValueModify.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author

ps-admin@yandex-team.ru

