from paysys.sre.tools.monitorings.lib.notifications import Notifications, HYP_ESCALATION_USERS

notifications_object_nonprod = Notifications()
notifications_object_nonprod.set_iron_woman(logins=HYP_ESCALATION_USERS, delay=420)
notifications_object_nonprod.set_startrek('OEBSADMIN', status='CRIT', components='monitoring', priority='normal')
notifications_object_nonprod.set_telegram('yndx-hyp-duty-monitoring')

notifications_object_prod = Notifications()
notifications_object_prod.set_iron_woman(logins=HYP_ESCALATION_USERS)
notifications_object_prod.set_startrek('OEBSADMIN', status='CRIT', components='monitoring', priority='normal')
notifications_object_prod.set_telegram('yndx-hyp-duty-monitoring')

notifications_object_public = Notifications()
# notifications_object_public.set_telegram('yndx-oebs-admin')


notifications_nonprod = {
    'default': notifications_object_nonprod.noop,
}


notifications_prod = {
    # tracker
    'default': notifications_object_prod.startrek,
    'by_service': {
        # iron_woman
        'UNREACHABLE': notifications_object_prod.iron_woman_and_telegram_critonly,
        'uptime': notifications_object_prod.iron_woman_and_telegram_critonly,
        'grid-up': notifications_object_prod.iron_woman_and_telegram_critonly,
        'database-up': notifications_object_prod.iron_woman_and_telegram_critonly,
        'nginx-alive': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        '': notifications_object_prod.iron_woman_and_telegram_critonly,
        'standby-lag': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'backup': notifications_object_prod.startrek_and_telegram_critonly,
        'ess-health': notifications_object_prod.iron_woman_and_telegram_critonly,
        'hyp-health': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'hyp_home_size': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'hyp_workspace': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'integration': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'locks_health': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'mdx': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'oracle-status-hyp1': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'raid': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'weblogic_health': notifications_object_prod.iron_woman_daytime_and_startrek_and_telegram_critonly,
        'unispace5': notifications_object_prod.iron_woman_and_telegram_critonly,

        # tracker + telegram
        'asm-status-ng': notifications_object_prod.startrek_and_telegram_critonly,
        'gluster_health': notifications_object_prod.startrek_and_telegram_critonly,
        'hbf_service_last_update_status': notifications_object_prod.startrek_and_telegram_critonly,
        'hbf_service_status': notifications_object_prod.startrek_and_telegram_critonly,
        'host_memory_usage': notifications_object_prod.startrek_and_telegram_critonly,
        'hugepages': notifications_object_prod.startrek_and_telegram_critonly,
        'iscsi-ips': notifications_object_prod.startrek_and_telegram_critonly,
        'iscsi-params': notifications_object_prod.startrek_and_telegram_critonly,
        'ldaps': notifications_object_prod.startrek_and_telegram_critonly,
        'link-speed': notifications_object_prod.startrek_and_telegram_critonly,
        'mount': notifications_object_prod.startrek_and_telegram_critonly,
        'net_services': notifications_object_prod.startrek_and_telegram_critonly,
        'nginx-errors': notifications_object_prod.startrek_and_telegram_critonly,
        'rm-logs': notifications_object_prod.startrek_and_telegram_critonly,
        'stunnel': notifications_object_prod.startrek_and_telegram_critonly,
        'switch_uplink_drop': notifications_object_prod.startrek_and_telegram_critonly,
        'switch_uplink_errs': notifications_object_prod.startrek_and_telegram_critonly,
        'switch_uplink_flaps': notifications_object_prod.startrek_and_telegram_critonly,
        'switch_uplink_utilization': notifications_object_prod.startrek_and_telegram_critonly,
        'watchdog': notifications_object_prod.startrek_and_telegram_critonly,
        'sendmail': notifications_object_prod.startrek_and_telegram_critonly,
        'unispace': notifications_object_prod.startrek_and_telegram_critonly,
        'shared_pool_free_mem': notifications_object_prod.startrek_and_telegram_critonly,
        'tvm_health': notifications_object_prod.startrek_and_telegram_critonly,
        'weblogic_oom': notifications_object_prod.startrek_and_telegram_critonly,
        'weblogic_overall_health_state': notifications_object_prod.startrek_and_telegram_critonly,


        # telegram
        'check_slb': notifications_object_prod.telegram_critonly,
        'db-parameters': notifications_object_prod.telegram_critonly,
        'haproxy': notifications_object_prod.telegram_critonly,
        'hwerrors2': notifications_object_prod.telegram_critonly,
        'jmx2graphite-config-generator': notifications_object_prod.telegram_critonly,
        'jmx2graphite-process': notifications_object_prod.telegram_critonly,
        'ntp-stratum': notifications_object_prod.telegram_critonly,
        'oracleasm_iid_cnt': notifications_object_prod.telegram_critonly,
        'paysys-common-settings': notifications_object_prod.telegram_critonly,
        'raid_check_speed': notifications_object_prod.telegram_critonly,
        'unbound': notifications_object_prod.telegram_critonly,
        'load_average_paysys': notifications_object_prod.telegram_critonly,
        'mail_queue': notifications_object_prod.telegram_critonly,
        'oracle_memory_usage': notifications_object_prod.telegram_critonly,

        # Disabled aggregates
    }
}
