from paysys.sre.tools.monitorings.configs.hyperion.base import appl

from paysys.sre.tools.monitorings.lib.checks.active.http import https_cert
from paysys.sre.tools.monitorings.lib.util.aggregators import downtime_skip, logic_or
from paysys.sre.tools.monitorings.lib.util.helpers import merge, ttl, gen_children, check, unreach_skip, flaps, gen_unreach_by_service


host = "hyperion.dev.appl"
children = ['hyp_dev_apps']


def checks():
    checks = merge(
        appl.get_checks(children),
        https_cert('slb_https_cert', host='hyp-dev.yandex-team.ru', ssl_host='hyp-dev.yandex-team.ru'),
        check('uptime', merge(flaps(900, 0), ttl(630, 330), gen_children(children, 'uptime'),
                              logic_or, unreach_skip, downtime_skip)),
    )

    checks.pop('hyp_rsync')
    checks.pop('keepalived_conf')

    checks = gen_unreach_by_service(checks)
    return checks
