from paysys.sre.tools.monitorings.lib.util.helpers import merge, ttl, check, flaps, gen_unreach_by_service, unreach_skip, gen_children
from paysys.sre.tools.monitorings.lib.checks import base, services
from paysys.sre.tools.monitorings.lib.util.aggregators import logic_or, logic_and, downtime_skip

host = "scat.stable.db"  # VIRT HOST
children = ['cs_oracledb-scat']  # CGROUP

exclude_db_checks = ['oracle-status', 'shared_pool_free_mem']

exclude_rac_checks = ['iscsi-params', 'oracle-patches']

exclude_audit_checks = ['audit-splunk']

database_global = services.oracle_database.copy()
# database_project = database.get_checks(children)

database_result = merge(database_global)
[database_result.pop(exclude) for exclude in exclude_db_checks]

rac_result = services.oracle_rac.copy()
[rac_result.pop(exclude) for exclude in exclude_rac_checks]

audit_result = services.audit.copy()
[audit_result.pop(exclude) for exclude in exclude_audit_checks]


def checks():
    result = merge(base.common_fin_fin(children),
                   rac_result,
                   database_result,
                   check('oracle-status-scatcdb1', merge(ttl(3700, 300), logic_and, unreach_skip, downtime_skip)),
                   check('db-file_locations', merge(ttl(3600, 350), logic_or, unreach_skip, downtime_skip)),
                   check('seq-check', merge(ttl(3700, 300), logic_and, unreach_skip, downtime_skip)),
                   services.mailq,
                   services.pipeline_sender,
                   audit_result,
                   check('uptime', merge(flaps(900, 0), ttl(630, 330), gen_children(children, 'uptime'),
                                         logic_or, unreach_skip, downtime_skip)),
                   check('grid-up', merge(flaps(900, 0), ttl(630, 330), gen_children(children, 'grid-up'),
                                          logic_or, unreach_skip, downtime_skip)),
                   check('database-up', merge(flaps(900, 0), ttl(630, 330), gen_children(children, 'database-up'),
                                              logic_or, unreach_skip, downtime_skip)),
                   check('oracle-balance-patches', merge(ttl(5400, 3600), logic_or, unreach_skip, downtime_skip)),
                   check('unispace5', merge(flaps(300, 900), ttl(620, 300), logic_or, unreach_skip, downtime_skip)),
                   )
    result = gen_unreach_by_service(result)
    result.pop('mount')
    return result
