from paysys.sre.tools.monitorings.lib.util.helpers import merge, ttl
from paysys.sre.tools.monitorings.configs.paysys.base import notifications_object

defaults = merge(
    ttl(620, 60),
    {'namespace': 'psadmin.stable'},
)

notifications = {
    'default': notifications_object.iron_woman,
    'by_service': {
        'UNREACHABLE': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'unispace': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'haproxy': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'iptruler': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'nginx-alive': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'nginx_errors': notifications_object.iron_woman_and_sms_abc_and_telegram_graphite,
        'nginx_499': notifications_object.iron_woman_and_sms_abc_and_telegram_graphite,
        'nginx_499_5min': notifications_object.iron_woman_and_sms_abc_and_telegram_graphite,
        'nginx_499_percent': notifications_object.iron_woman_and_sms_abc_and_telegram_graphite,
        'db-latency': notifications_object.iron_woman_and_sms_abc_and_telegram_graphite,
        'oracle-conn': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'graphite-client': notifications_object.noop,
        'mongo_statistics': {},
        'mongo_connect': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'mongo_rs_state': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'mongo_rs_lag': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'mysql_xtrabackup': notifications_object.iron_woman_daytime,
        'mysqldump': notifications_object.iron_woman_daytime,
        'ps-ping-alive': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'ps-closedc': notifications_object.iron_woman_and_telegram,
        'yandex-passport-tvmtool': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'bmc': notifications_object.iron_woman_daytime,
        'clock': notifications_object.iron_woman_daytime,
        'cpu': notifications_object.iron_woman_daytime,
        'disk': notifications_object.iron_woman_daytime,
        'ecc': notifications_object.iron_woman_daytime,
        'gpu': notifications_object.iron_woman_daytime,
        'link': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'mem': notifications_object.iron_woman_daytime,
        'paysys_archiver': notifications_object.iron_woman_daytime,
        'syslog-alive': notifications_object.noop,
        'disk-util': notifications_object.noop,
        'disk-wait': notifications_object.noop,
        'certs': notifications_object.noop,
        'yb-ar-bunker-token': notifications_object.iron_woman_daytime,
        'watchdog': {},
        'check-certs': {},  # TODO: remove after https://st.yandex-team.ru/TRUST-17194
    },
    'by_tag': {
        'https_main': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'a_mark_paysys_balance-userapikeys': notifications_object.iron_woman_and_sms_abc_and_telegram,
        'postgres': notifications_object.iron_woman_and_sms_abc_and_telegram
    }
}

CONFIGS = [
    "ark",
    "salt"
]
