#!/bin/bash
TOP_CONFIGS="/usr/lib/yandex/yandex-paysys-timeline*/properties.d/*properties"
ALL_CONFIGS="/usr/lib/yandex/yandex-paysys-timeline*/properties.d/*/*properties"
NGINX_CONFIG="/etc/nginx/nginx.conf"

sed -i -- 's/tsum\.mongo\.host=.*/tsum\.mongo\.host='"$MONGO_HOST"'/'  ${ALL_CONFIGS}
sed -i -- 's/tsum\.mongo\.user=.*/tsum\.mongo\.user='"$MONGO_USER"'/'  ${ALL_CONFIGS}
sed -i -- 's/tsum\.mongo\.database=.*/tsum\.mongo\.database='"$MONGO_DB"'/'  ${ALL_CONFIGS}
sed -i -- 's/tsum\.mongo\.password=.*/tsum\.mongo\.password='"$MONGO_PASSWD"'/'  ${ALL_CONFIGS}

sed -i -- 's/tsum\.tms\.bazinga\.mongo-db-name=.*/tsum\.tms\.bazinga\.mongo-db-name='"$MONGO_DB"'/'  ${ALL_CONFIGS}

sed -i -- 's/tsum\.zookeeper\.quorum=.*/tsum\.zookeeper\.quorum='"$ZOO"'/'  ${ALL_CONFIGS}

sed -i -- 's/tsum\.ui\.url=.*/tsum\.ui\.url=https\:\/\/'"$HOST"'\//' ${ALL_CONFIGS}
sed -i -- 's/tsum\.host=.*/tsum\.host='"$HOST"'/'  ${ALL_CONFIGS}
sed -i -- 's/tsum\.host=.*/tsum\.host='"$HOST"'/' ${TOP_CONFIGS}
sed -i -- 's/tsum\.url=.*/tsum\.url=https:\/\/'"$HOST"'/' ${ALL_CONFIGS}
sed -i -- 's/tsum\.url=.*/tsum\.url=https:\/\/'"$HOST"'/' ${TOP_CONFIGS}

sed -i -- 's|server_name\ timeline.*;|server_name\ '"$HOST"';|' ${NGINX_CONFIG}
sed -i -- 's|server_name\ idm\.timeline.*;|server_name\ idm\.'"$HOST"';|' ${NGINX_CONFIG}
sed -i -- 's|return\ 301 https\://timeline.*\$uri;|return\ 301\ https\://'"$HOST"'\$uri;|' ${NGINX_CONFIG}
sed -i -- 's|return\ 301 https\://idm.timeline.*\$uri;|return\ 301\ https\://idm.'"$HOST"'\$uri;|' ${NGINX_CONFIG}


sed -i -- 's/tsum.auth.login-url=.*/tsum.auth.login-url=https\:\/\/passport\.yandex-team\.ru\/passport\?mode=auth\&retpath=https%3A%2F%2F'"$HOST"'%2F/' \
     ${ALL_CONFIGS}

sed -i -- 's/tsum\.conductor\.oauth-token=.*/tsum\.conductor\.oauth-token='"$CONDUCTOR_TOKEN"'/' ${ALL_CONFIGS}
sed -i -- 's/tsum\.conductor\.oauth-token=.*/tsum\.conductor\.oauth-token='"$CONDUCTOR_TOKEN"'/' ${TOP_CONFIGS}

sed -i -- 's/tsum\.startrek\.auth-token=.*/tsum\.startrek\.auth-token='"$STARTREK_TOKEN"'/'  ${ALL_CONFIGS}
sed -i -- 's/tsum\.startrek\.auth-token=.*/tsum\.startrek\.auth-token='"$STARTREK_TOKEN"'/' ${TOP_CONFIGS}

sed -i -- 's/tsum\.sandbox\.oauth-token=.*/tsum\.sandbox\.oauth-token='"$SANDBOX_TOKEN"'/' ${ALL_CONFIGS}
sed -i -- 's/tsum\.teamcity\.password=.*/tsum\.teamcity\.password='"$TEAMCITY_TOKEN"'/' ${ALL_CONFIGS}
sed -i -- 's/tsum\.platform\.api-oauth=.*/tsum\.platform\.api-oauth='"$PLATFORM_TOKEN"'/' ${ALL_CONFIGS}

sed -i -- 's/tsum\.staff\.auth-token=.*/tsum\.staff\.auth-token='"$STAFF_TOKEN"'/'  ${ALL_CONFIGS}
sed -i -- 's/tsum\.telegraph\.token=.*/tsum\.telegraph\.token='"$TELEGRAPH_TOKEN"'/' ${ALL_CONFIGS}
sed -i -- 's/tsum\.telegram\.token=.*/tsum\.telegram\.token='"$TELEGRAM_TOKEN"'/' ${TOP_CONFIGS}

sed -i -- 's/tsum\.github\.token=.*/tsum\.github\.token='"$GITHUB_TOKEN"'/' ${TOP_CONFIGS}
sed -i -- 's/tsum\.arcanum\.token=.*/tsum\.arcanum\.token='"$ARCANUM_TOKEN"'/' ${TOP_CONFIGS}

sed -i -- 's/tsum\.robot\.password=.*/tsum\.robot\.password='"$TEAMCITY_TOKEN"'/' ${TOP_CONFIGS}
sed -i -- 's/tsum\.yql\.token=.*/tsum\.yql\.token='"$YQL_TOKEN"'/' ${TOP_CONFIGS}

